/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package examenrec02;

import javax.swing.JOptionPane;
/**
 *
 * @author ionix
 */
public class jintNomina extends javax.swing.JInternalFrame {

    /**
     * Creates new form jintNomina
     */
    public jintNomina() {
        initComponents();
        this.deshabilitar();
    }
    
    public void deshabilitar(){
        this.txtDiasTrabajados.setEnabled(false);
        this.txtImpuesto.setEnabled(false);
        this.txtTotalPagar.setEnabled(false);
        this.txtNombre.setEnabled(false);
        this.txtNumRecibo.setEnabled(false);
        this.txtPago.setEnabled(false);
        this.btnGuardar.setEnabled(false);
        this.btnMostrar.setEnabled(false);
        this.cmbNivel.setEnabled(false);
        this.cmbPuesto.setEnabled(false);
    }
    
    public void habilitar(){
        this.txtNumRecibo.setEnabled(true);
        this.txtNombre.setEnabled(true);
        this.txtDiasTrabajados.setEnabled(true);
        this.btnCancelar.setEnabled(true);
        this.btnGuardar.setEnabled(true);
        this.btnLimpiar.setEnabled(true);
        this.cmbPuesto.setEnabled(true);
        this.cmbNivel.setEnabled(true);
    }
    
    public void limpiar(){
        this.txtNumRecibo.setText("");
        this.txtDiasTrabajados.setText("");
        this.txtNombre.setText("");
        this.txtImpuesto.setText("");
        this.txtTotalPagar.setText("");
        this.txtPago.setText("");
        this.cmbNivel.setSelectedIndex(0);
        this.cmbPuesto.setSelectedIndex(0);
    }
    public boolean validar(){
         boolean exito = false;
            if ( this.txtNumRecibo.getText().equals(""))exito=true;
            if ( this.txtDiasTrabajados.getText().equals(""))exito=true;
            if ( this.txtNombre.getText().equals(""))exito=true; 
         return exito;
     }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        txtNumRecibo = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        txtNombre = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        txtDiasTrabajados = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        cmbNivel = new javax.swing.JComboBox<>();
        cmbPuesto = new javax.swing.JComboBox<>();
        btnNuevo = new javax.swing.JButton();
        btnGuardar = new javax.swing.JButton();
        btnMostrar = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        txtTotalPagar = new javax.swing.JTextField();
        txtPago = new javax.swing.JTextField();
        txtImpuesto = new javax.swing.JTextField();
        btnCerrar = new javax.swing.JButton();
        btnLimpiar = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();

        setBackground(new java.awt.Color(255, 51, 255));
        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Nomina");
        getContentPane().setLayout(null);
        getContentPane().add(txtNumRecibo);
        txtNumRecibo.setBounds(220, 50, 170, 40);

        jLabel3.setText("Nombre:");
        getContentPane().add(jLabel3);
        jLabel3.setBounds(40, 100, 150, 40);
        getContentPane().add(txtNombre);
        txtNombre.setBounds(220, 100, 170, 40);

        jLabel4.setText("Nivel:");
        getContentPane().add(jLabel4);
        jLabel4.setBounds(40, 200, 150, 40);

        txtDiasTrabajados.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtDiasTrabajadosActionPerformed(evt);
            }
        });
        getContentPane().add(txtDiasTrabajados);
        txtDiasTrabajados.setBounds(220, 250, 170, 40);

        jLabel5.setText("Dias Trabajados:");
        getContentPane().add(jLabel5);
        jLabel5.setBounds(40, 250, 150, 40);

        jLabel6.setText("Puesto:");
        getContentPane().add(jLabel6);
        jLabel6.setBounds(40, 150, 150, 40);

        cmbNivel.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "1. Base", "2. Eventual" }));
        getContentPane().add(cmbNivel);
        cmbNivel.setBounds(220, 200, 170, 40);

        cmbPuesto.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "1. Auxiliar", "2. Albañil", "3. Ing. Obra" }));
        getContentPane().add(cmbPuesto);
        cmbPuesto.setBounds(220, 150, 170, 40);

        btnNuevo.setText("Nuevo");
        btnNuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnNuevoActionPerformed(evt);
            }
        });
        getContentPane().add(btnNuevo);
        btnNuevo.setBounds(500, 70, 110, 40);

        btnGuardar.setText("Guardar");
        btnGuardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGuardarActionPerformed(evt);
            }
        });
        getContentPane().add(btnGuardar);
        btnGuardar.setBounds(500, 130, 110, 40);

        btnMostrar.setText("Mostrar");
        btnMostrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnMostrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnMostrar);
        btnMostrar.setBounds(500, 190, 110, 40);

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "--Pago--", javax.swing.border.TitledBorder.LEFT, javax.swing.border.TitledBorder.TOP, new java.awt.Font("Tahoma", 0, 24))); // NOI18N
        jPanel1.setLayout(null);

        jLabel2.setText("Calculo Total a Pagar:");
        jPanel1.add(jLabel2);
        jLabel2.setBounds(30, 150, 180, 40);

        jLabel8.setText("Calculo Pago:");
        jPanel1.add(jLabel8);
        jLabel8.setBounds(30, 50, 150, 40);

        jLabel9.setText("Calculo Impuesto:");
        jPanel1.add(jLabel9);
        jLabel9.setBounds(30, 100, 150, 40);
        jPanel1.add(txtTotalPagar);
        txtTotalPagar.setBounds(200, 150, 170, 40);
        jPanel1.add(txtPago);
        txtPago.setBounds(160, 50, 170, 40);
        jPanel1.add(txtImpuesto);
        txtImpuesto.setBounds(180, 100, 170, 40);

        getContentPane().add(jPanel1);
        jPanel1.setBounds(90, 330, 520, 230);

        btnCerrar.setText("Cerrar");
        btnCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCerrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCerrar);
        btnCerrar.setBounds(490, 590, 120, 40);

        btnLimpiar.setText("Limpiar");
        btnLimpiar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLimpiarActionPerformed(evt);
            }
        });
        getContentPane().add(btnLimpiar);
        btnLimpiar.setBounds(90, 590, 120, 40);

        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCancelar);
        btnCancelar.setBounds(290, 590, 120, 40);

        jLabel7.setText("Num. Recibo:");
        getContentPane().add(jLabel7);
        jLabel7.setBounds(40, 50, 150, 40);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void txtDiasTrabajadosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtDiasTrabajadosActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtDiasTrabajadosActionPerformed

    private void btnNuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnNuevoActionPerformed
        // TODO add your handling code here:
        pago = new Examenrec02();
        this.habilitar();
    }//GEN-LAST:event_btnNuevoActionPerformed

    private void btnGuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGuardarActionPerformed
        // TODO add your handling code here:
        if (this.validar() == false){
            pago.setNombre(this.txtNombre.getText());
            pago.setDiasTrabajados(Integer.parseInt(this.txtDiasTrabajados.getText()));
            int nivel = this.cmbNivel.getSelectedIndex();
            switch(nivel){
                case 0:
                    pago.setNivel(1); break;
                case 1:
                    pago.setNivel(2); break;
                
            }
            int pue = this.cmbPuesto.getSelectedIndex();
            switch(pue){
                case 0:
                    pago.setPuesto(1); break;
                case 1:
                    pago.setPuesto(2); break;
                case 2:
                    pago.setPuesto(3); break;
                
            }
            pago.setNumRecibo(Integer.parseInt(this.txtNumRecibo.getText()));
           
             JOptionPane.showMessageDialog(this, "Se guardo con exito");
        }
        else{
            JOptionPane.showMessageDialog(this, "Falto Capturar Informacion");
        }
        this.btnMostrar.setEnabled(true);
    }//GEN-LAST:event_btnGuardarActionPerformed

    private void btnMostrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnMostrarActionPerformed
        // TODO add your handling code here:
        this.txtDiasTrabajados.setText(String.valueOf(pago.getDiasTrabajados()));
        this.txtNombre.setText(String.valueOf(pago.getNombre()));
        this.txtNumRecibo.setText(String.valueOf(pago.getNumRecibo()));
        
        this.txtImpuesto.setText(String.valueOf(pago.calcularImpuesto()));
      
        this.txtPago.setText(String.valueOf(pago.calcularPago()));
        this.txtTotalPagar.setText(String.valueOf(pago.calcularPagoTotal()));
    }//GEN-LAST:event_btnMostrarActionPerformed

    private void btnLimpiarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnLimpiarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
    }//GEN-LAST:event_btnLimpiarActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        // TODO add your handling code here:
        this.deshabilitar();
        this.limpiar();
    }//GEN-LAST:event_btnCancelarActionPerformed

    private void btnCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCerrarActionPerformed
        // TODO add your handling code here:
        int opcion = 0;

        opcion = JOptionPane.showConfirmDialog(this, "Deseas Salir?", "Cotizacion", JOptionPane.YES_NO_OPTION);
        if(opcion == JOptionPane.YES_OPTION){
            this.dispose();
        }
    }//GEN-LAST:event_btnCerrarActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnCerrar;
    private javax.swing.JButton btnGuardar;
    private javax.swing.JButton btnLimpiar;
    private javax.swing.JButton btnMostrar;
    private javax.swing.JButton btnNuevo;
    private javax.swing.JComboBox<String> cmbNivel;
    private javax.swing.JComboBox<String> cmbPuesto;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTextField txtDiasTrabajados;
    private javax.swing.JTextField txtImpuesto;
    private javax.swing.JTextField txtNombre;
    private javax.swing.JTextField txtNumRecibo;
    private javax.swing.JTextField txtPago;
    private javax.swing.JTextField txtTotalPagar;
    // End of variables declaration//GEN-END:variables
    private Examenrec02 pago;
}
